summaryrefslogtreecommitdiff
path: root/tests/make-tarball.script
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2012-09-24 14:26:36 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2012-09-24 14:26:36 +0000
commitfb90f0af1d4ef3a6b644ce71ee100a8d98d32c12 (patch)
tree01939dad5e86cf7f8ffcbb9c74c9ca48bd7d8933 /tests/make-tarball.script
parent9804015ba88164ce5634373970092ce60c6efdf6 (diff)
parent291120ecd777de4439b10a07c6f355c7c9af32ed (diff)
downloadlorry-fb90f0af1d4ef3a6b644ce71ee100a8d98d32c12.tar.gz
Merge branch 'danielsilverstone/all-repos-bare' of git://git.baserock.org/baserock/lorry
Includes a fixup of quoting uses of $SRCDIR, so it may include paths with spaces.
Diffstat (limited to 'tests/make-tarball.script')
-rwxr-xr-xtests/make-tarball.script32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/make-tarball.script b/tests/make-tarball.script
new file mode 100755
index 0000000..95eacaa
--- /dev/null
+++ b/tests/make-tarball.script
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Test that we can create a tarball of the git trees.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+set -e
+
+logfile="$DATADIR/make-tarball.log"
+workdir="$DATADIR/work-dir"
+
+"${SRCDIR}/test-lorry" --pull-only --log="$logfile" --working-area="$workdir" \
+ --tarball=first \
+ "$DATADIR/make-tarball-repo.lorry" > /dev/null 2> /dev/null
+
+# verify that we can see the tarball generated of the git tree
+
+test -r "${workdir}/make-tarball-repo-bzip2/git/"*"make_tarball_repo_bzip2.tar"